{% extends 'base.html.twig' %}

{% block title %}Item index{% endblock %}

{% block body %}
    <h1>Item index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Label</th>
                <th>IsCheck</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for item in items %}
            <tr>
                <td>{{ item.id }}</td>
                <td>{{ item.label }}</td>
                <td>{{ item.isCheck ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('item_show', {'id': item.id}) }}">show</a>
                    <a href="{{ path('item_edit', {'id': item.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('item_new') }}">Create new</a>
{% endblock %}
